Bug 10965 - GMC fails to handle URL files when name changed
Summary: GMC fails to handle URL files when name changed
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gmc   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-21 14:12 UTC by P Jones
Modified: 2013-04-02 04:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 15:24:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description P Jones 2000-04-21 14:12:59 UTC
When GMC has a window open, and you drag a URL (as from netscape, or and
existing one from the desktop) and right click and choose "properties", it
identifies it as a URL and allows you to work with it properly.

If you then double click on the name, and change then name, it then becomes
a "text file" and not URL.  GMC should preserve the type as URL as it does
if you rename it on the desktop instead of in a directory.

Also, In the directory, a URL file named "http://bugzilla.redhat.com" on
the desktop, when draged to a directory, might be named something like
"urlIOIGkwF", adding to the need to rename it.

TIA

Comment 1 Jonathan Blandford 2000-07-18 22:29:06 UTC
yeah -- this is a hard problem that can't be fixed with gmc.  The problem with
that is that '/' is a special character, so something like
'http://bugzilla.redhat.com/' won't fly as a filename.  Also, the internals of
GMC aren't well suited for displaying that well.  Unfortunately, you'll have to
wait until nautilus before you'll be able to get that handled correctly.


Note You need to log in before you can comment on or make changes to this bug.